httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r1002177 - in /websites/staging/httpd/trunk/content: ./ security/vulnerabilities-httpd.xml security/vulnerabilities_24.html
Date Mon, 05 Dec 2016 09:04:58 GMT
Author: buildbot
Date: Mon Dec  5 09:04:58 2016
New Revision: 1002177

Log:
Staging update by buildbot for httpd

Modified:
    websites/staging/httpd/trunk/content/   (props changed)
    websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml
    websites/staging/httpd/trunk/content/security/vulnerabilities_24.html

Propchange: websites/staging/httpd/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Mon Dec  5 09:04:58 2016
@@ -1 +1 @@
-1772455
+1772611

Modified: websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml
==============================================================================
--- websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml (original)
+++ websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml Mon Dec  5 09:04:58
2016
@@ -1,5 +1,27 @@
 <security updated="20160726">
 
+<issue fixed="2.4.24-dev" reported="20161122" public="20161204" released="20161204">
+<cve name="CVE-2016-8740"/>
+<severity level="0">n/a</severity>
+<title></title>
+<description><p>
+
+  The HTTP/2 protocol implementation (mod_http2) had an incomplete handling
+  of the 
+  <a href="https://httpd.apache.org/docs/2.4/mod/core.html#limitrequestfields">LimitRequestFields</a>
+  directive. This allowed an attacker to inject unlimited request headers into
+  the server, leading to eventual memory exhaustion.
+</p></description>
+<acknowledgements>
+We would like to thank <a href="naveen.tiwari@asu.edu">Naveen Tiwari</a> 
+and CDF/SEFCOM at Arizona State University to reporting this issue.
+</acknowledgements>
+<affects prod="httpd" version="2.4.23"/>
+<affects prod="httpd" version="2.4.20"/>
+<affects prod="httpd" version="2.4.18"/>
+<affects prod="httpd" version="2.4.17"/>
+</issue>
+
 <issue fixed="2.4.24-dev" reported="20160702" public="20160718" released="20160718">
 <cve name="CVE-2016-5387"/>
 <severity level="0">n/a</severity>

Modified: websites/staging/httpd/trunk/content/security/vulnerabilities_24.html
==============================================================================
--- websites/staging/httpd/trunk/content/security/vulnerabilities_24.html (original)
+++ websites/staging/httpd/trunk/content/security/vulnerabilities_24.html Mon Dec  5 09:04:58
2016
@@ -105,6 +105,35 @@ Fixed in Apache httpd 2.4.24-dev</h1><dl
   <dd>
     <b>n/a: </b>
     <b>
+      <name name="CVE-2016-8740"/>
+    </b>
+    <a href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-8740">CVE-2016-8740</a>
+    <p>
+
+  The HTTP/2 protocol implementation (mod_http2) had an incomplete handling
+  of the 
+  <a href="https://httpd.apache.org/docs/2.4/mod/core.html#limitrequestfields">LimitRequestFields</a>
+  directive. This allowed an attacker to inject unlimited request headers into
+  the server, leading to eventual memory exhaustion.
+</p>
+  </dd>
+  <dd>
+    <p>Acknowledgements: 
+We would like to thank Naveen Tiwari 
+and CDF/SEFCOM at Arizona State University to reporting this issue.
+</p>
+  </dd>
+  <dd>
+  Reported to security team: 22nd November 2016<br/>
+  Issue public: 4th December 2016<br/></dd>
+  <dd>
+  Update Released: 4th December 2016<br/></dd>
+  <dd>
+      Affects: 
+    2.4.23, 2.4.20, 2.4.18, 2.4.17<p/></dd>
+  <dd>
+    <b>n/a: </b>
+    <b>
       <name name="CVE-2016-5387">HTTP_PROXY environment variable "httpoxy" mitigation</name>
     </b>
     <a href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5387">CVE-2016-5387</a>



Mime
View raw message